#include "B4RDefines.h"


namespace B4R
{
	void SRF04::Initialize(Byte TriggerPin, Byte EchoPin)
	{
		tripin = TriggerPin;
		echpin = EchoPin;
		pinMode(TriggerPin, OUTPUT);
		pinMode(EchoPin, INPUT);
		digitalWrite(tripin, HIGH);
		digitalWrite(echpin, LOW);
	}

	Double SRF04::GetDistance(void)
	{
		digitalWrite(tripin, HIGH);
		digitalWrite(tripin, LOW);
		dis = pulseIn(echpin, HIGH) / 58.0;
		digitalWrite(tripin, HIGH);
		digitalWrite(echpin, LOW);
		return dis;
	}
}